package com.zhili.dashboard;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author user
 */
@SpringBootApplication
@MapperScan(basePackages = "com.**.mapper")
@EnableAsync
@EnableCaching
@EnableTransactionManagement
@EnableScheduling
public class OmesDashboardApplication {

    public static void main(String[] args) {
        SpringApplication.run(OmesDashboardApplication.class, args);
    }

}
