package com.zhili.dashboard.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author zyg
 * @className BaseCycleChartVo 环状图基础数据类
 * @date 2022年01月12日 9:37
 */
@Data
public class BaseCycleChartVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("等级图标")
    private String levelIcon;

    @ApiModelProperty("数量")
    private Long count;

    @ApiModelProperty("百分比,保留两位小数")
    private BigDecimal percent = BigDecimal.ZERO;
}
