package com.zhili.dashboard.base;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zyg
 * @className PageParam
 * @date 2021年11月24日 16:08
 */
@Data
public class PageParam {
    @ApiModelProperty(value = "分页数量", name = "pageSize")
    private Integer pageSize;
    @ApiModelProperty(value = "分页索引", name = "pageIndex")
    private Integer pageIndex;
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd 00:00:00", timezone = "GMT+8")
    private String startTime;
    @ApiModelProperty(value = "截止时间")
    @JsonFormat(pattern = "yyyy-MM-dd 23:59:59", timezone = "GMT+8")
    private String endTime;
    @ApiModelProperty(value = "组织机构id")
    private String orgId;

}
