package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电池命令下发数据
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_command")
@ApiModel(value="Command对象", description="电池命令下发数据")
public class Command extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "命令信息")
    private String command;

    @ApiModelProperty(value = "命令执行状态 1-成功 0-失败")
    private Integer cmdStatus;


}
