package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组织机构
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_fault_month_rate")
@ApiModel(value="Org对象", description="安全事故率")
public class FaultMonthRate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "月份")
    private String mon;

    @ApiModelProperty(value = "事故率")
    private String rate;

    @ApiModelProperty(value = "事故数量")
    private Integer num;

    @ApiModelProperty(value = "当前车辆(万台)")
    private Integer numCurrent;
}
