package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;

import com.zhili.dashboard.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 电池数量&累计充放电总量统计
 * </p>
 *
 * @author zyg
 * @since 2022-07-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_statistics")
@ApiModel(value="Statistics对象", description="电池数量&累计充放电总量统计")
public class Statistics extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private LocalDateTime dataInfo;

    @ApiModelProperty(value = "统计信息json字符串")
    private String infoJson;


}
