package com.zhili.dashboard.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhili.dashboard.entity.Online;
import org.apache.ibatis.annotations.MapKey;

import java.util.List;
import java.util.Map;

/**
 * 模型Mapper接口
 *
 * @author hz
 * @date 2022-02-25
 */
public interface OnlineMapper extends BaseMapper<Online> {

    /**
     * 在线电池统计
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    @MapKey("id")
    List<Map<String, Object>> getOnLine();
}
