package com.zhili.dashboard.req;

import lombok.Data;

import java.io.Serializable;

/**
 * 对外mysql数据访问
 *
 * @author zyg
 * @date 2022-05-30
 */
@Data
public class TableInfoParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id最小值
     */
    private String condition;

    /**
     * id最大值
     */
    private String fields;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 数据源名称
     */
    private String interfaceName;

    /**
     * 用于数据外发
     */
    private String signature;
}
