package com.zhili.dashboard.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * @author zyg
 * @className BatteryDataVo
 * @date 2022年07月06日 14:28
 */
@Data
public class AlarmMsgVo {
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "电池编号")
    private String sn;

    @ApiModelProperty(value = "故障编号")
    private String faultCode;

    @ApiModelProperty(value = "故障发生时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "故障处理时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "故障处理建议")
    private String faultAdvice;

    @ApiModelProperty(value = "更新人")
    private String updateBy;
}
