package com.zhili.dashboard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zyg
 * @className HighRiskVo
 * @date 2022年07月06日 14:28
 */
@Data
public class HighRiskVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "电池编号")
    private String sn;

    @ApiModelProperty(value = "简单编号")
    private String simpleSn;

    @ApiModelProperty(value = "运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源")
    private Integer scene;

    @ApiModelProperty(value = "运营场景 0-乘用车 1-重卡 2-低速车 3-储能 4-备用电源")
    private String sceneText;

    @ApiModelProperty(value = "机构id(运营商)")
    private String organId;

    @ApiModelProperty(value = "机构id(运营商)")
    private String orgName;

    @ApiModelProperty(value = "用户")
    private String updateBy;

    @ApiModelProperty(value = "电芯类型")
    private String batteryCoreType;

    @ApiModelProperty(value = "电芯类型名称")
    private String batteryCoreTypeText;

    @ApiModelProperty(value = "状态")
    private Integer faultStatus;

    @ApiModelProperty(value = "状态")
    private String faultStatusText;

    @ApiModelProperty(value = "故障等级")
    private String faultLevel;
}
