package com.zhili.dashboard.base;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author zyg
 * @className BaseLineChartVo
 * @date 2022年01月12日 9:37
 */
@Data
public class BaseLineChartVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "时间轴")
    private List<String> timeAxis;

    @ApiModelProperty(value = "各类数值")
    private List<KindValueListVo> kindList;
}
