package com.zhili.dashboard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 在线电池统计
 *
 * @author hz
 * @date 2022-02-25
 */
@Data
@TableName("dw_online_vin_cnt")
@ApiModel(value = "Online对象", description = "在线电池统计")
public class Online implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "时间点")
    private String timeInfo;

    @ApiModelProperty(value = "统计数据")
    private String data;
}
