package com.zhili.dashboard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zyg
 * @className CumulativeInfoVo
 * @date 2022年07月06日 14:28
 */
@Data
public class CumulativeInfoVo {

    @ApiModelProperty(value = "累计充电量GWh")
    private BigDecimal chargeSum;

    @ApiModelProperty(value = "累计放电量GWh")
    private BigDecimal dischargeSum;

    @ApiModelProperty(value = "累计电池总数(台)")
    private BigDecimal deviceSum;

    @ApiModelProperty(value = "累计数据总量(Tb)")
    private BigDecimal dataSum;
}
