package com.zhili.dashboard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zyg
 * @className ChargeInfoVo
 * @date 2022年07月06日 14:28
 */
@Data
public class FaultRateVo {

    @ApiModelProperty(value = "故障数量")
    private Integer num;

    @ApiModelProperty(value = "当前总数")
    private BigDecimal numCurrent;

    @ApiModelProperty(value = "季度序列")
    private String item;

    @ApiModelProperty(value = "月份")
    private String mon;

    @ApiModelProperty(value = "季度")
    private String quarter;
}
